/* UTCoreTypes.h

   Copyright (C) 2017 Free Software Foundation, Inc.

   Written by: Daniel Ferreira
   Date: June, 2017

   This file is part of GNUstep Boron Library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; see the file COPYING.LIB.
   If not, see <http://www.gnu.org/licenses/> or write to the
   Free Software Foundation, 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef _gnustep_boron_UTCoreTypes
#define _gnustep_boron_UTCoreTypes

#include <CoreFoundation/CoreFoundation.h>

#ifdef __cplusplus
extern "C" {
#endif

extern const CFStringRef kUTTypeItem;
extern const CFStringRef kUTTypeContent;
extern const CFStringRef kUTTypeCompositeContent;
extern const CFStringRef kUTTypeMessage;
extern const CFStringRef kUTTypeContact;
extern const CFStringRef kUTTypeArchive;
extern const CFStringRef kUTTypeDiskImage;

extern const CFStringRef kUTTypeData;
extern const CFStringRef kUTTypeDirectory;
extern const CFStringRef kUTTypeResolvable;
extern const CFStringRef kUTTypeSymLink;
extern const CFStringRef kUTTypeExecutable;
extern const CFStringRef kUTTypeMountPoint;
extern const CFStringRef kUTTypeAliasFile;
extern const CFStringRef kUTTypeAliasRecord;
extern const CFStringRef kUTTypeURLBookmarkData;

extern const CFStringRef kUTTypeURL;
extern const CFStringRef kUTTypeFileURL;

extern const CFStringRef kUTTypeText;
extern const CFStringRef kUTTypePlainText;
extern const CFStringRef kUTTypeUTF8PlainText;
extern const CFStringRef kUTTypeUTF16ExternalPlainText;
extern const CFStringRef kUTTypeUTF16PlainText;
extern const CFStringRef kUTTypeDelimitedText;
extern const CFStringRef kUTTypeCommaSeparatedText;
extern const CFStringRef kUTTypeTabSeparatedText;
extern const CFStringRef kUTTypeUTF8TabSeparatedText;
extern const CFStringRef kUTTypeRTF;

extern const CFStringRef kUTTypeHTML;
extern const CFStringRef kUTTypeXML;

extern const CFStringRef kUTTypeSourceCode;
extern const CFStringRef kUTTypeAssemblyLanguageSource;
extern const CFStringRef kUTTypeCSource;
extern const CFStringRef kUTTypeObjectiveCSource;
extern const CFStringRef kUTTypeSwiftSource;
extern const CFStringRef kUTTypeCPlusPlusSource;
extern const CFStringRef kUTTypeObjectiveCPlusPlusSource;
extern const CFStringRef kUTTypeCHeader;
extern const CFStringRef kUTTypeCPlusPlusHeader;
extern const CFStringRef kUTTypeJavaSource;

extern const CFStringRef kUTTypeScript;
extern const CFStringRef kUTTypeAppleScript;
extern const CFStringRef kUTTypeOSAScript;
extern const CFStringRef kUTTypeOSAScriptBundle;
extern const CFStringRef kUTTypeJavaScript;
extern const CFStringRef kUTTypeShellScript;
extern const CFStringRef kUTTypePerlScript;
extern const CFStringRef kUTTypePythonScript;
extern const CFStringRef kUTTypeRubyScript;
extern const CFStringRef kUTTypePHPScript;

extern const CFStringRef kUTTypeJSON;
extern const CFStringRef kUTTypePropertyList;
extern const CFStringRef kUTTypeXMLPropertyList;
extern const CFStringRef kUTTypeBinaryPropertyList;

extern const CFStringRef kUTTypePDF;
extern const CFStringRef kUTTypeRTFD;
extern const CFStringRef kUTTypeFlatRTFD;
extern const CFStringRef kUTTypeTXNTextAndMultimediaData;
extern const CFStringRef kUTTypeWebArchive;

extern const CFStringRef kUTTypeImage;
extern const CFStringRef kUTTypeJPEG;
extern const CFStringRef kUTTypeJPEG2000;
extern const CFStringRef kUTTypeTIFF;
extern const CFStringRef kUTTypePICT;
extern const CFStringRef kUTTypeGIF;
extern const CFStringRef kUTTypePNG;
extern const CFStringRef kUTTypeQuickTimeImage;
extern const CFStringRef kUTTypeAppleICNS;
extern const CFStringRef kUTTypeBMP;
extern const CFStringRef kUTTypeICO;
extern const CFStringRef kUTTypeRawImage;
extern const CFStringRef kUTTypeScalableVectorGraphics;

extern const CFStringRef kUTTypeAudiovisualContent;
extern const CFStringRef kUTTypeMovie;
extern const CFStringRef kUTTypeVideo;
extern const CFStringRef kUTTypeAudio;
extern const CFStringRef kUTTypeQuickTimeMovie;
extern const CFStringRef kUTTypeMPEG;
extern const CFStringRef kUTTypeMPEG2Video;
extern const CFStringRef kUTTypeMPEG2TransportStream;
extern const CFStringRef kUTTypeMP3;
extern const CFStringRef kUTTypeMPEG4;
extern const CFStringRef kUTTypeMPEG4Audio;
extern const CFStringRef kUTTypeAppleProtectedMPEG4Audio;
extern const CFStringRef kUTTypeAppleProtectedMPEG4Video;
extern const CFStringRef kUTTypeAVIMovie;
extern const CFStringRef kUTTypeAudioInterchangeFileFormat;
extern const CFStringRef kUTTypeWaveformAudio;
extern const CFStringRef kUTTypeMIDIAudio;

extern const CFStringRef kUTTypePlaylist;
extern const CFStringRef kUTTypeM3UPlaylist;

extern const CFStringRef kUTTypeFolder;
extern const CFStringRef kUTTypeVolume;
extern const CFStringRef kUTTypePackage;
extern const CFStringRef kUTTypeBundle;
extern const CFStringRef kUTTypePluginBundle;
extern const CFStringRef kUTTypeSpotlightImporter;
extern const CFStringRef kUTTypeQuickLookGenerator;
extern const CFStringRef kUTTypeXPCService;
extern const CFStringRef kUTTypeFramework;

extern const CFStringRef kUTTypeApplication;
extern const CFStringRef kUTTypeApplicationBundle;
extern const CFStringRef kUTTypeApplicationFile;
extern const CFStringRef kUTTypeUnixExecutable;

extern const CFStringRef kUTTypeWindowsExecutable;
extern const CFStringRef kUTTypeJavaClass;
extern const CFStringRef kUTTypeJavaArchive;

extern const CFStringRef kUTTypeSystemPreferencesPane;

extern const CFStringRef kUTTypeGNUZipArchive;
extern const CFStringRef kUTTypeBzip2Archive;
extern const CFStringRef kUTTypeZipArchive;

extern const CFStringRef kUTTypeSpreadsheet;
extern const CFStringRef kUTTypePresentation;
extern const CFStringRef kUTTypeDatabase;

extern const CFStringRef kUTTypeVCard;
extern const CFStringRef kUTTypeToDoItem;
extern const CFStringRef kUTTypeCalendarEvent;
extern const CFStringRef kUTTypeEmailMessage;

extern const CFStringRef kUTTypeInternetLocation;
extern const CFStringRef kUTTypeInkText;
extern const CFStringRef kUTTypeFont;
extern const CFStringRef kUTTypeBookmark;
extern const CFStringRef kUTType3DContent;
extern const CFStringRef kUTTypePKCS12;
extern const CFStringRef kUTTypeX509Certificate;
extern const CFStringRef kUTTypeElectronicPublication;
extern const CFStringRef kUTTypeLog;

#ifdef __cplusplus
}
#endif

#endif
